<?php
/**
 * @package		Responsive2 1.3.3
 * @subpackage	Updated: August 03 2015
 * @author		Joomlabamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) Joomlabamboo, August 03 2015
 * @license		http://www.gnu.org/licenses/gpl.html GNU General Public License version 2 or later;
 * @version		Responsive2 - 1.3.3 | ZGF v4 1.3.2
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Load template logic
if (!defined('TEMPLATE')) {
	define( 'TEMPLATE', basename(dirname(__FILE__)));
}

// Include main Zen Class
include JPATH_THEMES . '/' . TEMPLATE  . '/zengrid/zen.php';

// Setup the params
$zen = new zen4();

// Check whether to load the mobile detect class
if($zen->params->mobile_detect) {
	$zen->load_mobile_detect();
}

$layout_file = 'default.php';

if(isset($zen->params->layout_file)) {
	$layout_file = $zen->params->layout_file;
}

// Include the layout file
include JPATH_THEMES . '/' . TEMPLATE  . '/tpls/'.$layout_file;
?>